[Hive SQL]
lexer=sql

keywords.0=name:Keywords::all alter and as authorization between both by \
case cast column conf create cross cube current \
cursor database delete describe distinct \
drop else end exchange exists extended external fetch following \
for from full function grant group grouping having if import in inner insert \
intersect interval into is join lateral left less like local macro map \
more not of on or order out outer over partialscan partition percent \
preceding preserve procedure range reads reduce revoke right rollup row rows \
select set table tablesample then to transform trigger \
truncate unbounded union uniquejoin update user using values \
when where window with commit only regexp rlike rollback start \
cache constraint foreign primary references \
extract floor precision views \
sync

keywords.1=name:Database Objects::

keywords.2=name:PLDoc::

keywords.3=name:Functions::round floor ceil rand exp ln log10 log2 log pow sqrt bin hex unhex conv abs \
pmod sin asin cos acos tan atan degrees radians positive negative sign e pi \
size map_keys map_values array_contains sort_array \
binary cast \
from_unixtime unix_timestamp to_date datediff date_add date_sub \
from_utc_timestamp to_utc_timestamp \
day hour minute second month year weekofyear \
if case coalesce nullif \
ascii concat concat_ws context_ngrams find_in_set format_number \
get_json_object in_file instr length locate lower lpad ltrim ngrams parse_url \
printf regexp_extract regexp_replace repeat reverse rpad rtrim sentences \
space split str_to_map substr substring translate trim upper \
hash

keywords.4=name:User Keywords 1::

keywords.5=name:User Keywords 2::add admin after analyze archive asc before bucket buckets cascade change \
cluster clustered clusterstatus collection columns comment compact compactions \
compute concatenate continue data databases dbproperties deferred \
defined delimited dependency desc directories directory disable distribute \
elem_type enable escaped exclusive explain export fields file fileformat first \
format formatted functions hold_ddltime idxproperties ignore index \
indexes inpath inputdriver inputformat items jar keys key_type limit lines \
load location lock locks logical mapjoin materialized metadata minus \
msck noscan no_drop offline option outputdriver outputformat \
overwrite owner partitioned partitions plus pretty principals protection purge \
read readonly rebuild recordreader recordwriter regexp reload rename repair \
replace replication restrict rewrite rlike role roles schema schemas \
semi serde serdeproperties server sets shared show show_database skewed sort \
sorted ssl statistics stored streamtable tables tblproperties \
temporary terminated touch transactions unarchive undo uniontype \
unlock unset uri use utc value_type view while \
autocommit isolation level offset snapshot transaction work write \
abort key last norely novalidate nulls rely validate \
detail expression operator quarter summary vectorization \
zone

keywords.6=name:User Keywords 3::array bigint boolean char date decimal double float int smallint timestamp \
utc_tmestamp varchar integer time numeric \
datetime long string struct tinyint timestamptz unsigned utctimestamp

keywords.7=name:User Keywords 4::current_timestamp false none null true dayofweek \
dow week years months weeks days hours minutes seconds \
orc csv parquet rc

style.33=name:LineNumbers,fore:clBlack,back:clSilver,font:Arial
style.34=name:Ok Braces,fore:clBlue,bold
style.35=name:Bad Braces,fore:clRed,bold
style.36=name:Control Chars,back:clSilver
style.37=name:Indent Guide,fore:clSilver
style.0=name:Whitespace
style.1=name:Comment,fore:clGreen
style.2=name:Line Comment,fore:clGreen
style.3=name:Doc Comment,fore:#3F703F
style.4=name:Number,fore:clTeal
style.5=name:Keyword,fore:clNavy,bold
style.6=name:Double quoted string,fore:clPurple
style.7=name:Single quoted string,fore:clPurple
style.8=name:SQL*Plus,fore:clOlive
style.9=name:SQL*Plus Promptfore:#007F00,back:#E0FFE0,eolfilled
style.10=name:Operators,bold
style.11=name:Identifier
style.12=name:EOL if string is not closed,fore:#000000,back:#E0C0E0,eolfilled
style.13=name:SQL*Plus Comment,fore:#007F00
style.15=name:Line Doc Comment,fore:#007F00
style.16=name:Keyword2,fore:#B00040
style.17=name:Doc Comment Keyword,fore:clGreen
style.18=name:Doc Comment Keyword Error,fore:clRed
style.19=name:User 1,fore:#4B0082
style.20=name:User 2,fore:#B00040
style.21=name:User 3,fore:#8B0000
style.22=name:User 4,fore:#800080
style.23=name:Quoted Identifier

CommentBoxStart=/*
CommentBoxEnd=*/
CommentBoxMiddle=*
CommentBlock=#
CommentStreamStart=/*
CommentStreamEnd=*/
AssignmentOperator==
EndOfStatementOperator=;